DataFormatException (Java Platform SE 8 )
Keywords: java.util.zip.DataFormatException class
Date: 2026-04-17

compact1, compact2, compact3
java.util.zip

## Class DataFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.zip.DataFormatException

- All Implemented Interfaces:
    Serializable

      public class DataFormatException
      extends Exception

  Signals that a data format error has occurred.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFormatException()` Constructs a DataFormatException with no detail message.
    `DataFormatException(String s)` Constructs a DataFormatException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFormatException

          public DataFormatException()

      Constructs a DataFormatException with no detail message.

    - #### DataFormatException

          public DataFormatException(String s)

      Constructs a DataFormatException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the String containing a detail message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.